# remote-origin-url [![NPM version](https://img.shields.io/npm/v/remote-origin-url.svg?style=flat)](https://www.npmjs.com/package/remote-origin-url) [![NPM monthly downloads](https://img.shields.io/npm/dm/remote-origin-url.svg?style=flat)](https://npmjs.org/package/remote-origin-url) [![NPM total downloads](https://img.shields.io/npm/dt/remote-origin-url.svg?style=flat)](https://npmjs.org/package/remote-origin-url) [![Linux Build Status](https://img.shields.io/travis/jonschlinkert/remote-origin-url.svg?style=flat&label=Travis)](https://travis-ci.org/jonschlinkert/remote-origin-url)

> Get the git remote origin URL from your local git repository. Remember! A remote origin must exist first!

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save remote-origin-url
```

Install with [bower](https://bower.io/)

```sh
$ bower install remote-origin-url --save
```

## Usage

Using the defaults:

```js
var remoteOriginUrl = require('remote-origin-url');
remoteOriginUrl(function(err, url) {
  if (err) return console.log(err);
  console.log(url);
  // url => "https://github.com/jonschlinkert/remote-origin-url.git"
});
```

Specify the `cwd` to use:

```js
remoteOriginUrl(process.cwd(), function(err, url) {
  if (err) return console.log(err);
  console.log(url);
  // url => "https://github.com/jonschlinkert/remote-origin-url.git"
});
```

### sync

```js
console.log(remoteOriginUrl.sync());
//=> "https://github.com/jonschlinkert/remote-origin-url.git"
```

Specify the `cwd` to use:

```js
console.log(remoteOriginUrl.sync(process.cwd()));
//=> "https://github.com/jonschlinkert/remote-origin-url.git"
```

## About

### Related projects

* [git-config-path](https://www.npmjs.com/package/git-config-path): Resolve the path to the user's local or global .gitconfig. | [homepage](https://github.com/jonschlinkert/git-config-path "Resolve the path to the user's local or global .gitconfig.")
* [git-user-name](https://www.npmjs.com/package/git-user-name): Get a user's name from git config at the project or global scope, depending on… [more](https://github.com/jonschlinkert/git-user-name) | [homepage](https://github.com/jonschlinkert/git-user-name "Get a user's name from git config at the project or global scope, depending on what git uses in the current context.")
* [git-username](https://www.npmjs.com/package/git-username): Get the username from a git remote origin URL. | [homepage](https://github.com/jonschlinkert/git-username "Get the username from a git remote origin URL.")
* [is-git-url](https://www.npmjs.com/package/is-git-url): Regex to validate that a URL is a git url. | [homepage](https://github.com/jonschlinkert/is-git-url "Regex to validate that a URL is a git url.")
* [parse-github-url](https://www.npmjs.com/package/parse-github-url): Parse a github URL into an object. | [homepage](https://github.com/jonschlinkert/parse-github-url "Parse a github URL into an object.")

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Contributors

| **Commits** | **Contributor** | 
| --- | --- |
| 27 | [jonschlinkert](https://github.com/jonschlinkert) |
| 3 | [doowb](https://github.com/doowb) |

### Building docs

_(This project's readme.md is generated by [verb](https://github.com/verbose/verb-generate-readme), please don't edit the readme directly. Any changes to the readme must be made in the [.verb.md](.verb.md) readme template.)_

To generate the readme, run the following command:

```sh
$ npm install -g verbose/verb#dev verb-generate-readme && verb
```

### Running tests

Running and reviewing unit tests is a great way to get familiarized with a library and its API. You can install dependencies and run tests with the following command:

```sh
$ npm install && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](https://twitter.com/jonschlinkert)

### License

Copyright © 2017, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT License](LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.6.0, on July 11, 2017._